Skillset Abilitys

Create Skillset Ability

Create ability

post
/v1/skillset/{skillsetId}/ability/create

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

skillsetIdstring* Required

Request Body * Required

Request Body Schema: application/json

aliasstring

The unique alias for the instance

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

blueprintIdstring

The ID of the blueprint

linkedSecretIdstring

The ID of the secret associated with the ability

linkedFileIdstring

The ID of the file associated with the ability

linkedBotIdstring

The ID of the bot associated with the ability

linkedSpaceIdstring

The ID of the space associated with the ability

instructionstring

The instruction of the ability

statestring

The lifecycle state of a resource - toggle it on/off without deleting it

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.skillset.ability.create(

skillsetId,
{
"alias":"string",
"name":"string",
"description":"string",
"meta":"object",
"blueprintId":"string",
"linkedSecretId":"string",
"linkedFileId":"string",
"linkedBotId":"string",
"linkedSpaceId":"string",
"instruction":"string",
"state":"string"
}
)
{
"id":"string"
}
The ability was created successfully